package ajcon.custom.util.elements;

import java.util.ArrayList;
import java.util.List;

public class CAnonymousClass {

    private CSuperClass CSuperClass;

    private List<CImplement> CImplement;

    private List<CConstructor> CConstructor;
    private List<CMethod> CMethod;
    private List<CField> CField;
    private List<CInstanceInitializer> CInstanceInitializer;


    private String _abstract;
    private String _final;
    private String _synchronized;

    private String line;
    private String col;
    private String endline;
    private String endcol;
    private String commentToken;
    private String startToken;
    private String endToken;
    private String idkind;

    public CAnonymousClass()
    {
        CSuperClass    = null;
        _abstract     = null;
        _final        = null;
        _synchronized = null;
        line          = null;
        col           = null;
        endline       = null;
        endcol        = null;
        commentToken  = null;
        startToken = null;
        endToken = null;
        idkind = null;
        CImplement              = new ArrayList<CImplement>();
        CConstructor            = new ArrayList<CConstructor>();
        CMethod                 = new ArrayList<CMethod>();
        CField                  = new ArrayList<CField>();
        CInstanceInitializer    = new ArrayList<CInstanceInitializer>();
    }

    public List<CConstructor> getCConstructor() {
        return CConstructor;
    }

    public void setCConstructor(List<CConstructor> CConstructor) {
        this.CConstructor = CConstructor;
    }

    public List<CField> getCField() {
        return CField;
    }

    public void setCField(List<CField> CField) {
        this.CField = CField;
    }

    public List<CImplement> getCImplement() {
        return CImplement;
    }

    public void setCImplement(List<CImplement> CImplement) {
        this.CImplement = CImplement;
    }

    public List<CInstanceInitializer> getCInstanceInitializer() {
        return CInstanceInitializer;
    }

    public void setCInstanceInitializer(List<CInstanceInitializer> CInstanceInitializer) {
        this.CInstanceInitializer = CInstanceInitializer;
    }

    public List<CMethod> getCMethod() {
        return CMethod;
    }

    public void setCMethod(List<CMethod> CMethod) {
        this.CMethod = CMethod;
    }

    public CSuperClass getCSuperClass() {
        return CSuperClass;
    }

    public void setCSuperClass(CSuperClass CSuperClass) {
        this.CSuperClass = CSuperClass;
    }

    public String getAbstract() {
        return _abstract;
    }

    public void setAbstract(String _abstract) {
        this._abstract = _abstract;
    }

    public String getFinal() {
        return _final;
    }

    public void setFinal(String _final) {
        this._final = _final;
    }

    public String getSynchronized() {
        return _synchronized;
    }

    public void setSynchronized(String _synchronized) {
        this._synchronized = _synchronized;
    }

    public String getCol() {
        return col;
    }

    public void setCol(String col) {
        this.col = col;
    }

    public String getCommentToken() {
        return commentToken;
    }

    public void setCommentToken(String commentToken) {
        this.commentToken = commentToken;
    }

    public String getEndToken() {
        return endToken;
    }

    public void setEndToken(String endToken) {
        this.endToken = endToken;
    }

    public String getEndcol() {
        return endcol;
    }

    public void setEndcol(String endcol) {
        this.endcol = endcol;
    }

    public String getEndline() {
        return endline;
    }

    public void setEndline(String endline) {
        this.endline = endline;
    }

    public String getIdkind() {
        return idkind;
    }

    public void setIdkind(String idkind) {
        this.idkind = idkind;
    }

    public String getStartToken() {
        return startToken;
    }

    public void setStartToken(String startToken) {
        this.startToken = startToken;
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line;
    }

    public void addCImplement(CImplement c){
        CImplement.add(c);
    }

    public void addCConstructor(CConstructor c){
        CConstructor.add(c);
    }

    public void addCMethod(CMethod c){
        CMethod.add(c);
    }

    public void addCField(CField c){
        CField.add(c);
    }

    public void addCInstanceInitializer(CInstanceInitializer c){
        CInstanceInitializer.add(c);
    }

}
